Package org.apache.commons.jxpath.ri.model.beans

# Class PropertyIterator

java.lang.Object
org.apache.commons.jxpath.ri.model.beans.PropertyIterator

All Implemented Interfaces:
  `NodeIterator`

Direct Known Subclasses:
  `BeanAttributeIterator`, `DynamicPropertyIterator`

public class PropertyIterator extends Object implements NodeIterator
Iterates property values of an object pointed at with a `PropertyOwnerPointer`. Examples of such objects are JavaBeans and objects with Dynamic Properties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyIterator(PropertyOwnerPointer pointer, String name, boolean reverse, NodePointer startWith)`
  Constructs a new PropertyIterator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NodePointer`
  `getNodePointer()`
  Gets the NodePointer at the current position.
  `int`
  `getPosition()`
  Gets the current iterator position.
  `protected NodePointer`
  `getPropertyPointer()`
  Gets the property pointer.
  `protected void`
  `prepareForIndividualProperty(String name)`
  Prepare for an individual property.
  `void`
  `reset()`
  Reset property iteration.
  `boolean`
  `setPosition(int position)`
  Sets the new current position.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyIterator

    public PropertyIterator(PropertyOwnerPointer pointer, String name, boolean reverse, NodePointer startWith)
    Constructs a new PropertyIterator.
    Parameters:
      `pointer` - owning pointer
      `name` - property name
      `reverse` - iteration order
      `startWith` - beginning pointer

- ## Method Details

  - ### getNodePointer

    public NodePointer getNodePointer()
    Description copied from interface: `NodeIterator`
    Gets the NodePointer at the current position.
    Specified by:
      `getNodePointer` in interface `NodeIterator`
    Returns:
      NodePointer

  - ### getPosition

    public int getPosition()
    Description copied from interface: `NodeIterator`
    Gets the current iterator position.
    Specified by:
      `getPosition` in interface `NodeIterator`
    Returns:
      int position

  - ### getPropertyPointer

    protected NodePointer getPropertyPointer()
    Gets the property pointer.
    Returns:
      NodePointer

  - ### prepareForIndividualProperty

    protected void prepareForIndividualProperty(String name)
    Prepare for an individual property.
    Parameters:
      `name` - property name

  - ### reset

    public void reset()
    Reset property iteration.

  - ### setPosition

    public boolean setPosition(int position)
    Description copied from interface: `NodeIterator`
    Sets the new current position.
    Specified by:
      `setPosition` in interface `NodeIterator`
    Parameters:
      `position` - the position to set
    Returns:
      `true` if there is a node at `position`.